Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 693638 - RFE: add the ability to filter agent messages, to disable copy and paste from the server
Summary: RFE: add the ability to filter agent messages, to disable copy and paste fro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Hans de Goede
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 710200
Blocks: 693645
TreeView+ depends on / blocked
 
Reported: 2011-04-05 07:44 UTC by Hans de Goede
Modified: 2012-03-06 08:24 UTC (History)
5 users (show)

Fixed In Version: spice-server-0.8.1-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 15:21:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1634 normal SHIPPED_LIVE spice-server bug fix and enhancement update 2011-12-06 00:50:43 UTC

Description Hans de Goede 2011-04-05 07:44:30 UTC
From a security pov copy and paste between the guest and the client is not always desirable. So we need to be able to enable/disable this. The best place to do this from an administration pov is on the hypervisor, and thus in the spice-server.

Comment 1 Hans de Goede 2011-04-05 07:45:51 UTC
This is implemented by these 2 upstream commits:
http://cgit.freedesktop.org/spice/spice/commit/?id=c2db6d1066bcb73c5ddf9e38c4ef30545706eae9
http://cgit.freedesktop.org/spice/spice/commit/?id=bcf9a60aa97419e12dc83916719e3633bfbb872f

Which are also present on the 0.8 branch, moving to post.

Comment 3 Cameron Meadors 2011-06-15 14:54:34 UTC
How is this being implemented?  Will there be an option for qemu-kvm?  If so, what would that be and how do we use it?  If this is already documented somewhere just point me to that.

Comment 4 Hans de Goede 2011-06-16 12:49:58 UTC
Hi,

(In reply to comment #3)
> How is this being implemented?  Will there be an option for qemu-kvm?

Yes

> If so, what would that be and how do we use it?

It will be an additional option to the -spice cmdline option, called
"disable-copy-paste"

So if for example you normally pass the following spice options:
qemu -spice port=5932,disable-ticketing

You would use the following to disable copy paste:
qemu -spice port=5932,disable-ticketing,disable-copy-paste

Also see bug 693645.

Regards,

Hans

Comment 7 errata-xmlrpc 2011-12-06 15:21:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1634.html


Note You need to log in before you can comment on or make changes to this bug.